Classes | UGens>FFT

# PV_BrickWall : PV_ChainUGen : WidthFirstUGen : UGen : AbstractFunction : Object

Zero bins.
Source: FFT.sc
See also: FFT, IFFT

## Description

Clears bins above or below a cutoff point.

## Class Methods

### PV_BrickWall.new(buffer, wipe: 0)

#### Arguments:

buffer | FFT buffer.
wipe | Can range between -1 and +1. If `wipe` == 0 then there is no effect. If `wipe` > 0 then it acts like a high pass filter, clearing bins from the bottom up. If `wipe` < 0 then it acts like a low pass filter, clearing bins from the top down.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

    s.boot;

    (
    {
        var in, chain;
        in = WhiteNoise.ar(0.2);
        chain = FFT(LocalBuf(2048), in);
        chain = PV_BrickWall(chain, SinOsc.kr(0.1));
        IFFT(chain);
    }.play
    )

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/PV_BrickWall.schelp
link::Classes/PV_BrickWall::